<?xml version="1.0"?>
<!DOCTYPE PLAY SYSTEM "play.dtd">
<backCap>
    <tag key="HAL_CUSTOM_MODE_RECOMMENDATION_SUPPORTED" type="uint8_t">
       <value>2</value>
    </tag>
    <tag key="HAL_CUSTOM_MODE_RECOMMENDATION_BEAUTY_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_SUPPORTED_COLOR_MODES" type="uint8_t">
        <value type="string2Enum">CAMERA_HW_COLOR_NORMAL</value>
        <value type="string2Enum">CAMERA_HW_COLOR_BRIGHT</value>
        <value type="string2Enum">CAMERA_HW_COLOR_SOFT</value>
    </tag>
    <tag key="HAL_CUSTOM_4D_TRACKING_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_AF_TRACKING_ENABLE" type="uint8_t">
       <value>1</value>
    </tag>
    <!--pro mode begin-->
    <tag key="HAL_CUSTOM_EXPOSURE_HINT_MODE" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_EXPOSURE_HINT_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_SUPPORTED_METERING" type="uint8_t">
       <value>0</value>
       <value>1</value>
       <value>2</value>
       <value>3</value>
    </tag>
    <tag key="HAL_CUSTOM_SENSOR_WB_RANGE" type="uint32_t">
       <value>2800</value>
       <value>10000</value>
    </tag>
    <tag key="HAL_CUSTOM_PROFESSIONAL_MODE_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_SENSOR_EXPOSURE_RANGE" type="uint32_t">
         <value>250</value>
         <value>30000000</value>
    </tag>
    <tag key="HAL_CUSTOM_TARGET_ZOOM_RATIO_SUPPORTED" type="uint8_t">
         <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_SMOOTH_ZOOM_SUPPORTED" type="uint8_t">
         <value>1</value>
    </tag>
   <!--pro mode end-->
    <!-- super slow motion begin -->
    <tag key="HAL_CUSTOM_SUPER_SLOWMOTION_SUPPORTED" type="uint8_t">
       <value>2</value>
    </tag>
    <tag key="HAL_CUSTOM_SUPER_SLOWMOTION_QUEUE_SIZE_CONFIG" type="int32_t">
       <value>240</value>
       <value>30</value>
       <value>65</value>
       <value>30</value>
       <value>40</value>
       <value>960</value>
       <value>30</value>
       <value>124</value>
       <value>30</value>
       <value>80</value>
       <value>192</value>
       <value>30</value>
       <value>244</value>
       <value>30</value>
       <value>160</value>
    </tag>
    <tag key="HAL_CUSTOM_SPECIAL_ZOOM_CAPTURE_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_ZOOM_QUICK_RESPONSE_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <!-- super slow motion end -->
    <tag key="HAL_CUSTOM_RT_WORK_CURRENT_CAMERA_AVAILABLE_CONFIGS" type="char">
        <value>Main:0:1, Sub:2:0, Tele:3:0</value>
    </tag>
    <tag key="HAL_CUSTOM_RT_TAKE_PICTURE_CAMERA_AVAILABLE_CONFIGS" type="char">
        <value>Main:0:4096*3072:1, Sub:2:4160*3120:0, Tele:3:4000*3000:0</value>
    </tag>
    <tag key="HAL_CUSTOM_RT_PREVIEW_INTERFERE_CAMERA_AVAILABLE_CONFIGS" type="char">
        <value>Main:0:4096*3072:1:15, Sub:2:4160*3120:0:15, Tele:3:4000*3000:0:15</value>
    </tag>
</backCap>
